> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Registry Credentials

> List registry credentials owned by the requesting user or their teams.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/template/registry-credentials
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/template/registry-credentials:
    get:
      tags:
        - Template
      summary: List Registry Credentials
      description: List registry credentials owned by the requesting user or their teams.
      operationId: list_registry_credentials_api_v1_template_registry_credentials_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryCredentialsListResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    RegistryCredentialsListResponse:
      properties:
        credentials:
          items:
            $ref: '#/components/schemas/RegistryCredentialsSummary'
          type: array
          title: Credentials
      type: object
      required:
        - credentials
      title: RegistryCredentialsListResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    RegistryCredentialsSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        server:
          type: string
          title: Server
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
      type: object
      required:
        - id
        - name
        - server
        - createdAt
        - updatedAt
        - userId
        - teamId
      title: RegistryCredentialsSummary
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````